type AdsAdapter = {
    fireInit(params?: object, triggeredEvent?: string): void;
    fireStart(params?: object, triggeredEvent?: string): void;
    fireJoin(params?: object, triggeredEvent?: string): void;
    firePause(params?: object, triggeredEvent?: string): void;
    fireResume(params?: object, triggeredEvent?: string): void;
    fireBufferBegin(params?: object, convertFromSeek?: boolean, triggeredEvent?: string, triggeredByStateProperty?: boolean): void;
    cancelBuffer(): void;
    fireBufferEnd(params?: object, triggeredEvent?: string): void;
    fireStop(params?: object, triggeredEvent?: string): void;
    fireError(code?: string | object, msg?: string, metadata?: object, level?: string, triggeredEvent?: string, fatalError?: boolean): void;
    fireFatalError(code?: string | object, msg?: string, metadata?: object, level?: string, triggeredEvent?: string): void;
    fireSeekBegin(params?: object, convertFromBuffer?: boolean, triggeredEvent?: string): void;
    fireSeekEnd(params?: object, triggeredEvent?: string): void;
    cancelSeek(): void;
    fireEvent(eventName?: string, dimensions?: object, values?: object, topLevelDimensions?: object): void;
    fireClick(params?: object): void;
    fireQuartile(quartile: number): void;
    fireManifest(params?: object, message?: string): void;
    fireSkip(params?: object): void;
    fireBreakStart(params?: object): void;
    fireBreakStop(params?: object): void;
};
export default AdsAdapter;
